Package org.jcsp.lang

# Interface BufferedChannelIntArrayFactory

All Known Implementing Classes:
  `StandardChannelIntFactory`

public interface BufferedChannelIntArrayFactory
Deprecated.
These channel factories are deprecated in favour of the new one2one() methods in the Channel class.
Defines an interface for a factory that can create arrays of integer carrying channels with user-definable buffering semantics.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`Any2AnyChannelInt[]`
`createAny2Any(ChannelDataStoreInt buffer, int n)`
Deprecated.
Creates a populated array of `n` `Any2Any` channels with the specified buffering behaviour.
`Any2OneChannelInt[]`
`createAny2One(ChannelDataStoreInt buffer, int n)`
Deprecated.
Creates a populated array of `n` `Any2One` channels with the specified buffering behaviour.
`One2AnyChannelInt[]`
`createOne2Any(ChannelDataStoreInt buffer, int n)`
Deprecated.
Creates a populated array of `n` `One2Any` channels with the specified buffering behaviour.
`One2OneChannelInt[]`
`createOne2One(ChannelDataStoreInt buffer, int n)`
Deprecated.
Creates a populated array of `n` `One2One` channels with the specified buffering behaviour.

## Method Details

### createOne2One

One2OneChannelInt[] createOne2One(ChannelDataStoreInt buffer, int n)
Deprecated.
Creates a populated array of `n` `One2One` channels with the specified buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
  `n` - the size of the array.
Returns:
  the created array of channels.

### createAny2One

Any2OneChannelInt[] createAny2One(ChannelDataStoreInt buffer, int n)
Deprecated.
Creates a populated array of `n` `Any2One` channels with the specified buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
  `n` - the size of the array.
Returns:
  the created array of channels.

### createOne2Any

One2AnyChannelInt[] createOne2Any(ChannelDataStoreInt buffer, int n)
Deprecated.
Creates a populated array of `n` `One2Any` channels with the specified buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
  `n` - the size of the array.
Returns:
  the created array of channels.

### createAny2Any

Any2AnyChannelInt[] createAny2Any(ChannelDataStoreInt buffer, int n)
Deprecated.
Creates a populated array of `n` `Any2Any` channels with the specified buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
  `n` - the size of the array.
Returns:
  the created array of channels.